/*
 * Michal Žejdl 2018
 * fill the code tables
 */

drop table if exists ifType;

create table ifType (
	id smallint unsigned not null,
	name varchar(64) not null,
	primary key (id),
	unique key (name)
);

/*
tail -n+364 ianaiftype-mib.txt | head -306 | grep -Eo "[[:alnum:]]+[[:space:]]*\\([[:digit:]]+\\)," | awk -F[\(\)] '{print $2, $1}' | awk '{print "insert ifType value("$1", \047"$2"\047);"}' >>nana/init/db_fill.sql
+ otnOtsig (294)
*/

insert ifType value(1, 'other');
insert ifType value(2, 'regular1822');
insert ifType value(3, 'hdh1822');
insert ifType value(4, 'ddnX25');
insert ifType value(5, 'rfc877x25');
insert ifType value(6, 'ethernetCsmacd');
insert ifType value(7, 'iso88023Csmacd');
insert ifType value(8, 'iso88024TokenBus');
insert ifType value(9, 'iso88025TokenRing');
insert ifType value(10, 'iso88026Man');
insert ifType value(11, 'starLan');
insert ifType value(12, 'proteon10Mbit');
insert ifType value(13, 'proteon80Mbit');
insert ifType value(14, 'hyperchannel');
insert ifType value(15, 'fddi');
insert ifType value(16, 'lapb');
insert ifType value(17, 'sdlc');
insert ifType value(18, 'ds1');
insert ifType value(19, 'e1');
insert ifType value(20, 'basicISDN');
insert ifType value(21, 'primaryISDN');
insert ifType value(22, 'propPointToPointSerial');
insert ifType value(23, 'ppp');
insert ifType value(24, 'softwareLoopback');
insert ifType value(25, 'eon');
insert ifType value(26, 'ethernet3Mbit');
insert ifType value(27, 'nsip');
insert ifType value(28, 'slip');
insert ifType value(29, 'ultra');
insert ifType value(30, 'ds3');
insert ifType value(31, 'sip');
insert ifType value(32, 'frameRelay');
insert ifType value(33, 'rs232');
insert ifType value(34, 'para');
insert ifType value(35, 'arcnet');
insert ifType value(36, 'arcnetPlus');
insert ifType value(37, 'atm');
insert ifType value(38, 'miox25');
insert ifType value(39, 'sonet');
insert ifType value(40, 'x25ple');
insert ifType value(41, 'iso88022llc');
insert ifType value(42, 'localTalk');
insert ifType value(43, 'smdsDxi');
insert ifType value(44, 'frameRelayService');
insert ifType value(45, 'v35');
insert ifType value(46, 'hssi');
insert ifType value(47, 'hippi');
insert ifType value(48, 'modem');
insert ifType value(49, 'aal5');
insert ifType value(50, 'sonetPath');
insert ifType value(51, 'sonetVT');
insert ifType value(52, 'smdsIcip');
insert ifType value(53, 'propVirtual');
insert ifType value(54, 'propMultiplexor');
insert ifType value(55, 'ieee80212');
insert ifType value(56, 'fibreChannel');
insert ifType value(57, 'hippiInterface');
insert ifType value(58, 'frameRelayInterconnect');
insert ifType value(59, 'aflane8023');
insert ifType value(60, 'aflane8025');
insert ifType value(61, 'cctEmul');
insert ifType value(62, 'fastEther');
insert ifType value(63, 'isdn');
insert ifType value(64, 'v11');
insert ifType value(65, 'v36');
insert ifType value(66, 'g703at64k');
insert ifType value(67, 'g703at2mb');
insert ifType value(68, 'qllc');
insert ifType value(69, 'fastEtherFX');
insert ifType value(70, 'channel');
insert ifType value(71, 'ieee80211');
insert ifType value(72, 'ibm370parChan');
insert ifType value(73, 'escon');
insert ifType value(74, 'dlsw');
insert ifType value(75, 'isdns');
insert ifType value(76, 'isdnu');
insert ifType value(77, 'lapd');
insert ifType value(78, 'ipSwitch');
insert ifType value(79, 'rsrb');
insert ifType value(80, 'atmLogical');
insert ifType value(81, 'ds0');
insert ifType value(82, 'ds0Bundle');
insert ifType value(83, 'bsc');
insert ifType value(84, 'async');
insert ifType value(85, 'cnr');
insert ifType value(86, 'iso88025Dtr');
insert ifType value(87, 'eplrs');
insert ifType value(88, 'arap');
insert ifType value(89, 'propCnls');
insert ifType value(90, 'hostPad');
insert ifType value(91, 'termPad');
insert ifType value(92, 'frameRelayMPI');
insert ifType value(93, 'x213');
insert ifType value(94, 'adsl');
insert ifType value(95, 'radsl');
insert ifType value(96, 'sdsl');
insert ifType value(97, 'vdsl');
insert ifType value(98, 'iso88025CRFPInt');
insert ifType value(99, 'myrinet');
insert ifType value(100, 'voiceEM');
insert ifType value(101, 'voiceFXO');
insert ifType value(102, 'voiceFXS');
insert ifType value(103, 'voiceEncap');
insert ifType value(104, 'voiceOverIp');
insert ifType value(105, 'atmDxi');
insert ifType value(106, 'atmFuni');
insert ifType value(107, 'atmIma');
insert ifType value(108, 'pppMultilinkBundle');
insert ifType value(109, 'ipOverCdlc');
insert ifType value(110, 'ipOverClaw');
insert ifType value(111, 'stackToStack');
insert ifType value(112, 'virtualIpAddress');
insert ifType value(113, 'mpc');
insert ifType value(114, 'ipOverAtm');
insert ifType value(115, 'iso88025Fiber');
insert ifType value(116, 'tdlc');
insert ifType value(117, 'gigabitEthernet');
insert ifType value(118, 'hdlc');
insert ifType value(119, 'lapf');
insert ifType value(120, 'v37');
insert ifType value(121, 'x25mlp');
insert ifType value(122, 'x25huntGroup');
insert ifType value(123, 'transpHdlc');
insert ifType value(124, 'interleave');
insert ifType value(125, 'fast');
insert ifType value(126, 'ip');
insert ifType value(127, 'docsCableMaclayer');
insert ifType value(128, 'docsCableDownstream');
insert ifType value(129, 'docsCableUpstream');
insert ifType value(130, 'a12MppSwitch');
insert ifType value(131, 'tunnel');
insert ifType value(132, 'coffee');
insert ifType value(133, 'ces');
insert ifType value(134, 'atmSubInterface');
insert ifType value(135, 'l2vlan');
insert ifType value(136, 'l3ipvlan');
insert ifType value(137, 'l3ipxvlan');
insert ifType value(138, 'digitalPowerline');
insert ifType value(139, 'mediaMailOverIp');
insert ifType value(140, 'dtm');
insert ifType value(141, 'dcn');
insert ifType value(142, 'ipForward');
insert ifType value(143, 'msdsl');
insert ifType value(144, 'ieee1394');
insert ifType value(145, 'gsn');
insert ifType value(146, 'dvbRccMacLayer');
insert ifType value(147, 'dvbRccDownstream');
insert ifType value(148, 'dvbRccUpstream');
insert ifType value(149, 'atmVirtual');
insert ifType value(150, 'mplsTunnel');
insert ifType value(151, 'srp');
insert ifType value(152, 'voiceOverAtm');
insert ifType value(153, 'voiceOverFrameRelay');
insert ifType value(154, 'idsl');
insert ifType value(155, 'compositeLink');
insert ifType value(156, 'ss7SigLink');
insert ifType value(157, 'propWirelessP2P');
insert ifType value(158, 'frForward');
insert ifType value(159, 'rfc1483');
insert ifType value(160, 'usb');
insert ifType value(161, 'ieee8023adLag');
insert ifType value(162, 'bgppolicyaccounting');
insert ifType value(163, 'frf16MfrBundle');
insert ifType value(164, 'h323Gatekeeper');
insert ifType value(165, 'h323Proxy');
insert ifType value(166, 'mpls');
insert ifType value(167, 'mfSigLink');
insert ifType value(168, 'hdsl2');
insert ifType value(169, 'shdsl');
insert ifType value(170, 'ds1FDL');
insert ifType value(171, 'pos');
insert ifType value(172, 'dvbAsiIn');
insert ifType value(173, 'dvbAsiOut');
insert ifType value(174, 'plc');
insert ifType value(175, 'nfas');
insert ifType value(176, 'tr008');
insert ifType value(177, 'gr303RDT');
insert ifType value(178, 'gr303IDT');
insert ifType value(179, 'isup');
insert ifType value(180, 'propDocsWirelessMaclayer');
insert ifType value(181, 'propDocsWirelessDownstream');
insert ifType value(182, 'propDocsWirelessUpstream');
insert ifType value(183, 'hiperlan2');
insert ifType value(184, 'propBWAp2Mp');
insert ifType value(185, 'sonetOverheadChannel');
insert ifType value(186, 'digitalWrapperOverheadChannel');
insert ifType value(187, 'aal2');
insert ifType value(188, 'radioMAC');
insert ifType value(189, 'atmRadio');
insert ifType value(190, 'imt');
insert ifType value(191, 'mvl');
insert ifType value(192, 'reachDSL');
insert ifType value(193, 'frDlciEndPt');
insert ifType value(194, 'atmVciEndPt');
insert ifType value(195, 'opticalChannel');
insert ifType value(196, 'opticalTransport');
insert ifType value(197, 'propAtm');
insert ifType value(198, 'voiceOverCable');
insert ifType value(199, 'infiniband');
insert ifType value(200, 'teLink');
insert ifType value(201, 'q2931');
insert ifType value(202, 'virtualTg');
insert ifType value(203, 'sipTg');
insert ifType value(204, 'sipSig');
insert ifType value(205, 'docsCableUpstreamChannel');
insert ifType value(206, 'econet');
insert ifType value(207, 'pon155');
insert ifType value(208, 'pon622');
insert ifType value(209, 'bridge');
insert ifType value(210, 'linegroup');
insert ifType value(211, 'voiceEMFGD');
insert ifType value(212, 'voiceFGDEANA');
insert ifType value(213, 'voiceDID');
insert ifType value(214, 'mpegTransport');
insert ifType value(215, 'sixToFour');
insert ifType value(216, 'gtp');
insert ifType value(217, 'pdnEtherLoop1');
insert ifType value(218, 'pdnEtherLoop2');
insert ifType value(219, 'opticalChannelGroup');
insert ifType value(220, 'homepna');
insert ifType value(221, 'gfp');
insert ifType value(222, 'ciscoISLvlan');
insert ifType value(223, 'actelisMetaLOOP');
insert ifType value(224, 'fcipLink');
insert ifType value(225, 'rpr');
insert ifType value(226, 'qam');
insert ifType value(227, 'lmp');
insert ifType value(228, 'cblVectaStar');
insert ifType value(229, 'docsCableMCmtsDownstream');
insert ifType value(230, 'adsl2');
insert ifType value(231, 'macSecControlledIF');
insert ifType value(232, 'macSecUncontrolledIF');
insert ifType value(233, 'aviciOpticalEther');
insert ifType value(234, 'atmbond');
insert ifType value(235, 'voiceFGDOS');
insert ifType value(236, 'mocaVersion1');
insert ifType value(237, 'ieee80216WMAN');
insert ifType value(238, 'adsl2plus');
insert ifType value(239, 'dvbRcsMacLayer');
insert ifType value(240, 'dvbTdm');
insert ifType value(241, 'dvbRcsTdma');
insert ifType value(242, 'x86Laps');
insert ifType value(243, 'wwanPP');
insert ifType value(244, 'wwanPP2');
insert ifType value(245, 'voiceEBS');
insert ifType value(246, 'ifPwType');
insert ifType value(247, 'ilan');
insert ifType value(248, 'pip');
insert ifType value(249, 'aluELP');
insert ifType value(250, 'gpon');
insert ifType value(251, 'vdsl2');
insert ifType value(252, 'capwapDot11Profile');
insert ifType value(253, 'capwapDot11Bss');
insert ifType value(254, 'capwapWtpVirtualRadio');
insert ifType value(255, 'bits');
insert ifType value(256, 'docsCableUpstreamRfPort');
insert ifType value(257, 'cableDownstreamRfPort');
insert ifType value(258, 'vmwareVirtualNic');
insert ifType value(259, 'ieee802154');
insert ifType value(260, 'otnOdu');
insert ifType value(261, 'otnOtu');
insert ifType value(262, 'ifVfiType');
insert ifType value(263, 'g9981');
insert ifType value(264, 'g9982');
insert ifType value(265, 'g9983');
insert ifType value(266, 'aluEpon');
insert ifType value(267, 'aluEponOnu');
insert ifType value(268, 'aluEponPhysicalUni');
insert ifType value(269, 'aluEponLogicalLink');
insert ifType value(270, 'aluGponOnu');
insert ifType value(271, 'aluGponPhysicalUni');
insert ifType value(272, 'vmwareNicTeam');
insert ifType value(277, 'docsOfdmDownstream');
insert ifType value(278, 'docsOfdmaUpstream');
insert ifType value(279, 'gfast');
insert ifType value(280, 'sdci');
insert ifType value(281, 'xboxWireless');
insert ifType value(282, 'fastdsl');
insert ifType value(283, 'docsCableScte55d1FwdOob');
insert ifType value(284, 'docsCableScte55d1RetOob');
insert ifType value(285, 'docsCableScte55d2DsOob');
insert ifType value(286, 'docsCableScte55d2UsOob');
insert ifType value(287, 'docsCableNdf');
insert ifType value(288, 'docsCableNdr');
insert ifType value(289, 'ptm');
insert ifType value(290, 'ghn');
insert ifType value(291, 'otnOtsi');
insert ifType value(292, 'otnOtuc');
insert ifType value(293, 'otnOduc');
insert ifType value(294, 'otnOtsig');  
