#ifndef		DB_H
#define		DB_H

#include <mysql/mysql.h>

void db_close(void);
int db_connect(void);
int db_init(char *host, char *user, char *passwd, char *db);
void db_finish(void);

// returns result or NULL if any error
// the purpose of this function is overcome mysql error handling
// you must call mysql_free_result() after invoking this function
MYSQL_RES *db_query_store(const char *query);

// you must call free() on returned value after invoking this function
char *db_get_one(const char *query);

#endif
